Merge "[SDC-WD] Release 1.11.1 sdc-workflow-designer"
authorFiachra Corcoran <fiachra.corcoran@est.tech>
Sat, 23 Apr 2022 10:40:46 +0000 (10:40 +0000)
committerGerrit Code Review <gerrit@onap.org>
Sat, 23 Apr 2022 10:40:46 +0000 (10:40 +0000)
30 files changed:
kubernetes/.gitignore
kubernetes/policy/Chart.yaml
kubernetes/policy/components/policy-apex-pdp/templates/serviceMonitor.yaml
kubernetes/policy/components/policy-apex-pdp/values.yaml
kubernetes/policy/components/policy-api/resources/config/apiParameters.yaml
kubernetes/policy/components/policy-api/templates/serviceMonitor.yaml
kubernetes/policy/components/policy-api/values.yaml
kubernetes/policy/components/policy-clamp-ac-http-ppnt/values.yaml
kubernetes/policy/components/policy-clamp-ac-k8s-ppnt/values.yaml
kubernetes/policy/components/policy-clamp-ac-pf-ppnt/values.yaml
kubernetes/policy/components/policy-clamp-be/values.yaml
kubernetes/policy/components/policy-clamp-runtime-acm/values.yaml
kubernetes/policy/components/policy-distribution/templates/serviceMonitor.yaml
kubernetes/policy/components/policy-distribution/values.yaml
kubernetes/policy/components/policy-drools-pdp/templates/serviceMonitor.yaml
kubernetes/policy/components/policy-drools-pdp/values.yaml
kubernetes/policy/components/policy-pap/resources/config/papParameters.yaml
kubernetes/policy/components/policy-pap/templates/serviceMonitor.yaml
kubernetes/policy/components/policy-pap/values.yaml
kubernetes/policy/components/policy-xacml-pdp/templates/serviceMonitor.yaml
kubernetes/policy/components/policy-xacml-pdp/values.yaml
kubernetes/policy/resources/config/db-pg.sh [new file with mode: 0644]
kubernetes/policy/resources/config/db_migrator_pg_policy_init.sh [new file with mode: 0644]
kubernetes/policy/templates/configmap.yaml
kubernetes/policy/templates/job.yaml
kubernetes/policy/values.yaml
kubernetes/sdc/components/sdc-be/values.yaml
kubernetes/sdc/components/sdc-cs/values.yaml
kubernetes/sdc/components/sdc-fe/values.yaml
kubernetes/sdc/components/sdc-onboarding-be/values.yaml

index bc3a4f1..f2b64de 100644 (file)
@@ -1 +1,3 @@
 chartstorage/
+**/charts/*.tgz
+helm/plugins/deploy/cache/
index 677271c..d3b3c7b 100755 (executable)
@@ -85,3 +85,10 @@ dependencies:
   - name: serviceAccount
     version: ~10.x-0
     repository: '@local'
+  - name: readinessCheck
+    version: ~10.x-0
+    repository: '@local'
+  - name: postgres
+    version: ~10.x-0
+    repository: '@local'
+    condition: global.postgres.localCluster
index dbf6a7c..8284c73 100644 (file)
@@ -18,6 +18,6 @@
 # ============LICENSE_END=========================================================
 */}}
 
-{{- if .Values.prometheus.enabled }}
+{{- if .Values.global.prometheusEnabled }}
 {{ include "common.serviceMonitor" . }}
-{{- end }}
\ No newline at end of file
+{{- end }}
index 6adf0e6..ad2d954 100755 (executable)
@@ -49,7 +49,7 @@ secrets:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-apex-pdp:2.7.1
+image: onap/policy-apex-pdp:2.7.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
@@ -140,9 +140,6 @@ serviceAccount:
   roles:
     - read
 
-prometheus:
-  enabled: true
-
 metrics:
   serviceMonitor:
     # Override the labels based on the Prometheus config parameter: serviceMonitorSelector.
index c08b035..e6cf2b3 100644 (file)
@@ -29,6 +29,8 @@ spring:
     driverClassName: org.mariadb.jdbc.Driver
     username: "${SQL_USER}"
     password: "${SQL_PASSWORD}"
+    hikari:
+      maximumPoolSize: 20
   jpa:
     properties:
       hibernate:
index dbf6a7c..8284c73 100644 (file)
@@ -18,6 +18,6 @@
 # ============LICENSE_END=========================================================
 */}}
 
-{{- if .Values.prometheus.enabled }}
+{{- if .Values.global.prometheusEnabled }}
 {{ include "common.serviceMonitor" . }}
-{{- end }}
\ No newline at end of file
+{{- end }}
index 89608cf..72c5c49 100755 (executable)
@@ -79,7 +79,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-api:2.6.1
+image: onap/policy-api:2.6.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
@@ -156,9 +156,6 @@ serviceAccount:
   roles:
     - read
 
-prometheus:
-  enabled: true
-
 metrics:
   serviceMonitor:
     # Override the labels based on the Prometheus config parameter: serviceMonitorSelector.
index 8eafa46..844b3d7 100644 (file)
@@ -71,7 +71,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-clamp-ac-http-ppnt:6.2.1
+image: onap/policy-clamp-ac-http-ppnt:6.2.2
 pullPolicy: Always
 
 # application configuration
index a3fb19f..5592edc 100644 (file)
@@ -72,7 +72,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-clamp-ac-k8s-ppnt:6.2.1
+image: onap/policy-clamp-ac-k8s-ppnt:6.2.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
index c825ab1..70f2a0f 100644 (file)
@@ -83,7 +83,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-clamp-ac-pf-ppnt:6.2.1
+image: onap/policy-clamp-ac-pf-ppnt:6.2.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
index 2016b14..d40a2a9 100644 (file)
@@ -71,7 +71,7 @@ secrets:
 flavor: small
 
 # application image
-image: onap/policy-clamp-backend:6.2.1
+image: onap/policy-clamp-backend:6.2.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
index 1b571fc..f989715 100644 (file)
@@ -78,7 +78,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-clamp-runtime-acm:6.2.1
+image: onap/policy-clamp-runtime-acm:6.2.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
index dbf6a7c..8284c73 100644 (file)
@@ -18,6 +18,6 @@
 # ============LICENSE_END=========================================================
 */}}
 
-{{- if .Values.prometheus.enabled }}
+{{- if .Values.global.prometheusEnabled }}
 {{ include "common.serviceMonitor" . }}
-{{- end }}
\ No newline at end of file
+{{- end }}
index db271a9..9e0b11d 100755 (executable)
@@ -67,7 +67,7 @@ global:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-distribution:2.7.1
+image: onap/policy-distribution:2.7.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
@@ -162,9 +162,6 @@ serviceAccount:
   roles:
     - read
 
-prometheus:
-  enabled: true
-
 metrics:
   serviceMonitor:
     # Override the labels based on the Prometheus config parameter: serviceMonitorSelector.
index 1c04296..f8c450c 100644 (file)
@@ -18,6 +18,6 @@
 # ============LICENSE_END=========================================================
 */}}
 
-{{- if .Values.prometheus.enabled }}
+{{- if .Values.global.prometheusEnabled }}
 {{ include "common.serviceMonitor" . }}
 {{- end }}
index 344a600..e15ce66 100755 (executable)
@@ -203,9 +203,6 @@ serviceAccount:
   roles:
     - read
 
-prometheus:
-  enabled: true
-
 metrics:
   serviceMonitor:
     # Override the labels based on the Prometheus config parameter: serviceMonitorSelector.
index 6f501b8..00f7b9b 100644 (file)
@@ -29,6 +29,8 @@ spring:
     driverClassName: org.mariadb.jdbc.Driver
     username: "${SQL_USER}"
     password: "${SQL_PASSWORD}"
+    hikari:
+      maximumPoolSize: 20
   jpa:
     properties:
       hibernate:
index dbf6a7c..8284c73 100644 (file)
@@ -18,6 +18,6 @@
 # ============LICENSE_END=========================================================
 */}}
 
-{{- if .Values.prometheus.enabled }}
+{{- if .Values.global.prometheusEnabled }}
 {{ include "common.serviceMonitor" . }}
-{{- end }}
\ No newline at end of file
+{{- end }}
index 311653b..4197833 100755 (executable)
@@ -92,7 +92,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/policy-pap:2.6.1
+image: onap/policy-pap:2.6.2
 pullPolicy: Always
 
 # flag to enable debugging - application support required
@@ -181,9 +181,6 @@ serviceAccount:
   roles:
     - read
 
-prometheus:
-  enabled: true
-
 metrics:
   serviceMonitor:
     # Override the labels based on the Prometheus config parameter: serviceMonitorSelector.
index dbf6a7c..8284c73 100644 (file)
@@ -18,6 +18,6 @@
 # ============LICENSE_END=========================================================
 */}}
 
-{{- if .Values.prometheus.enabled }}
+{{- if .Values.global.prometheusEnabled }}
 {{ include "common.serviceMonitor" . }}
-{{- end }}
\ No newline at end of file
+{{- end }}
index 308b5a7..4b97dbb 100755 (executable)
@@ -159,9 +159,6 @@ serviceAccount:
   roles:
     - read
 
-prometheus:
-  enabled: true
-
 metrics:
   serviceMonitor:
     # Override the labels based on the Prometheus config parameter: serviceMonitorSelector.
diff --git a/kubernetes/policy/resources/config/db-pg.sh b/kubernetes/policy/resources/config/db-pg.sh
new file mode 100644 (file)
index 0000000..f26a80f
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2021-2022 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#    http://www.apache.org/licenses/LICENSE-2.0
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+
+#psql() { /usr/bin/psql  -h ${PG_HOST} -p ${PG_PORT} "$@"; };
+
+export PGPASSWORD=${PG_ADMIN_PASSWORD};
+
+psql -h ${PG_HOST} -p ${PG_PORT} -U postgres --command "CREATE USER ${PG_USER} WITH PASSWORD '${PG_USER_PASSWORD}'"
+
+for db in migration pooling policyadmin policyclamp operationshistory clampacm
+do
+    psql -h ${PG_HOST} -p ${PG_PORT} -U postgres --command "CREATE DATABASE ${db};"
+    psql -h ${PG_HOST} -p ${PG_PORT} -U postgres --command "GRANT ALL PRIVILEGES ON DATABASE ${db} TO ${PG_USER};"
+done
diff --git a/kubernetes/policy/resources/config/db_migrator_pg_policy_init.sh b/kubernetes/policy/resources/config/db_migrator_pg_policy_init.sh
new file mode 100644 (file)
index 0000000..53921ab
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/sh
+{{/*
+# Copyright (C) 2022 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+*/}}
+/opt/app/policy/bin/prepare_upgrade.sh ${SQL_DB}
+/opt/app/policy/bin/db-migrator-pg -s ${SQL_DB} -o upgrade
+rc=$?
+/opt/app/policy/bin/db-migrator-pg -s ${SQL_DB} -o report
+exit $rc
index 17558f8..c8b01cc 100755 (executable)
@@ -1,7 +1,7 @@
 {{/*
 # Copyright © 2017 Amdocs, Bell Canada
 # Modifications Copyright © 2018, 2020 AT&T Intellectual Property
-# Modifications Copyright (C) 2021 Nordix Foundation.
+# Modifications Copyright (C) 2021-2022 Nordix Foundation.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
index d59b5fe..9fea669 100755 (executable)
@@ -1,7 +1,7 @@
 {{/*
 # Copyright © 2018 Amdocs, Bell Canada
 # Modifications Copyright © 2020 AT&T Intellectual Property
-# Modifications Copyright (C) 2021 Nordix Foundation.
+# Modifications Copyright (C) 2022 Nordix Foundation.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -33,9 +33,9 @@ spec:
     spec:
       imagePullSecrets:
       - name: "{{ include "common.namespace" . }}-docker-registry-key"
-      initContainers:
+      initContainers: {{ if .Values.global.postgres.localCluster }}{{ include "common.readinessCheck.waitFor" . | nindent 6 }}{{ end }}
 #This container checks that all galera instances are up before initializing it.
-      - name: {{ include "common.name" . }}-readiness
+      - name: {{ include "common.name" . }}-mariadb-readiness
         image: {{ include "repositoryGenerator.image.readiness" . }}
         imagePullPolicy: {{ .Values.global.pullPolicy | default .Values.pullPolicy }}
         command:
@@ -71,6 +71,33 @@ spec:
           value: "{{ index .Values "mariadb-galera" "service" "internalPort" }}"
         resources:
 {{ include "common.resources" . }}
+      {{ if .Values.global.postgres.localCluster }}
+      - name: {{ include "common.release" . }}-policy-pg-config
+        image: {{ .Values.repository }}/{{ .Values.postgresImage }}
+        imagePullPolicy: {{ .Values.global.pullPolicy | default .Values.pullPolicy }}
+        volumeMounts:
+          - mountPath: /docker-entrypoint-initdb.d/db-pg.sh
+            name: {{ include "common.fullname" . }}-config
+            subPath: db-pg.sh
+        command:
+          - /bin/sh
+        args:
+          - -x
+          - /docker-entrypoint-initdb.d/db-pg.sh
+        env:
+          - name: PG_ADMIN_PASSWORD
+            {{- include "common.secret.envFromSecretFast" (dict "global" . "uid" "pg-root-pass" "key" "password") | indent 12 }}
+          - name: PG_HOST
+            value: "{{ .Values.postgres.service.name2 }}"
+          - name: PG_USER
+            {{- include "common.secret.envFromSecretFast" (dict "global" . "uid" "pg-user-creds" "key" "login") | indent 12 }}
+          - name: PG_USER_PASSWORD
+            {{- include "common.secret.envFromSecretFast" (dict "global" . "uid" "pg-user-creds" "key" "password") | indent 12 }}
+          - name: PG_PORT
+            value: "{{ .Values.postgres.service.internalPort }}"
+        resources:
+{{ include "common.resources" . }}
+      {{ end }}
       containers:
       - name: {{ include "common.release" . }}-policy-galera-db-migrator
         image: {{ include "repositoryGenerator.repository" . }}/{{ .Values.dbmigrator.image }}
@@ -95,8 +122,41 @@ spec:
           value: {{ .Values.dbmigrator.schema }}
         - name: POLICY_HOME
           value: {{ .Values.dbmigrator.policy_home }}
+        - name: SCRIPT_DIRECTORY
+          value: "sql"
         resources:
 {{ include "common.resources" . }}
+      {{ if .Values.global.postgres.localCluster }}
+      - name: {{ include "common.release" . }}-policy-pg-db-migrator
+        image: {{ include "repositoryGenerator.repository" . }}/{{ .Values.dbmigrator.image }}
+        imagePullPolicy: {{ .Values.global.pullPolicy | default .Values.pullPolicy }}
+        volumeMounts:
+          - mountPath: /dbcmd-config/db_migrator_pg_policy_init.sh
+            name: {{ include "common.fullname" . }}-config
+            subPath: db_migrator_pg_policy_init.sh
+        command:
+          - /bin/sh
+        args:
+          - -x
+          - /dbcmd-config/db_migrator_pg_policy_init.sh
+        env:
+        - name: SQL_HOST
+          value: "{{ .Values.postgres.service.name2 }}"
+        - name: SQL_USER
+          {{- include "common.secret.envFromSecretFast" (dict "global" . "uid" "pg-user-creds" "key" "login") | indent 10 }}
+        - name: SQL_PASSWORD
+          {{- include "common.secret.envFromSecretFast" (dict "global" . "uid" "pg-user-creds" "key" "password") | indent 10 }}
+        - name: SQL_DB
+          value: {{ .Values.dbmigrator.schema }}
+        - name: POLICY_HOME
+          value: {{ .Values.dbmigrator.policy_home }}
+        - name: SCRIPT_DIRECTORY
+          value: "postgres"
+        - name: PGPASSWORD
+          {{- include "common.secret.envFromSecretFast" (dict "global" . "uid" "pg-user-creds" "key" "password") | indent 10 }}
+        resources:
+{{ include "common.resources" . }}
+      {{ end }}
       restartPolicy: Never
       serviceAccountName: {{ include "common.fullname" (dict "suffix" "read" "dot" . )}}
       volumes:
@@ -108,3 +168,8 @@ spec:
                 path: db.sh
               - key: db_migrator_policy_init.sh
                 path: db_migrator_policy_init.sh
+              - key: db-pg.sh
+                path: db-pg.sh
+              - key: db_migrator_pg_policy_init.sh
+                path: db_migrator_pg_policy_init.sh
+
index 759ba56..a315bc2 100755 (executable)
@@ -27,6 +27,15 @@ global:
     service: &mariadbService
       name: &policy-mariadb policy-mariadb
       internalPort: 3306
+  prometheusEnabled: false
+  postgres:
+    localCluster: false
+    service:
+      name: pgset
+      name2: tcp-pgset-primary
+      name3: tcp-pgset-replica
+    container:
+      name: postgres
 
 #################################################################
 # Secrets metaconfig
@@ -66,6 +75,19 @@ secrets:
     login: '{{ .Values.restServer.policyApiUserName }}'
     password: '{{ .Values.restServer.policyApiUserPassword }}'
     passwordPolicy: required
+  - uid: pg-root-pass
+    name: &pgRootPassSecretName '{{ include "common.release" . }}-policy-pg-root-pass'
+    type: password
+    externalSecret: '{{ ternary "" (tpl (default "" .Values.postgres.config.pgRootPasswordExternalSecret) .) (hasSuffix "policy-pg-root-pass" .Values.postgres.config.pgRootPasswordExternalSecret) }}'
+    password: '{{ .Values.postgres.config.pgRootpassword }}'
+    policy: generate
+  - uid: pg-user-creds
+    name: &pgUserCredsSecretName '{{ include "common.release" . }}-policy-pg-user-creds'
+    type: basicAuth
+    externalSecret: '{{ ternary "" (tpl (default "" .Values.postgres.config.pgUserExternalSecret) .) (hasSuffix "policy-pg-user-creds" .Values.postgres.config.pgUserExternalSecret) }}'
+    login: '{{ .Values.postgres.config.pgUserName }}'
+    password: '{{ .Values.postgres.config.pgUserPassword }}'
+    passwordPolicy: generate
 
 db: &dbSecretsHook
   credsExternalSecret: *dbSecretName
@@ -128,7 +150,7 @@ mariadb:
   image: mariadb:10.5.8
 
 dbmigrator:
-  image: onap/policy-db-migrator:2.4.1
+  image: onap/policy-db-migrator:2.4.2
   schema: policyadmin
   policy_home: "/opt/app/policy"
 
@@ -180,6 +202,31 @@ mariadb-galera:
   serviceAccount:
     nameOverride: *policy-mariadb
 
+postgresImage: library/postgres:latest
+# application configuration override for postgres
+postgres:
+  nameOverride: &postgresName policy-postgres
+  service:
+    name: *postgresName
+    name2: policy-pg-primary
+    name3: policy-pg-replica
+  container:
+    name:
+      primary: policy-pg-primary
+      replica: policy-pg-replica
+  persistence:
+    mountSubPath: policy/postgres/data
+    mountInitPath: policy
+  config:
+    pgUserName: policy_user
+    pgDatabase: policyadmin
+    pgUserExternalSecret: *pgUserCredsSecretName
+    pgRootPasswordExternalSecret: *pgRootPassSecretName
+
+readinessCheck:
+  wait_for:
+    - '{{ ternary .Values.postgres.service.name "postgres" .Values.global.postgres.localCluster }}'
+
 restServer:
   policyPapUserName: policyadmin
   policyPapUserPassword: zb!XztG34
index b7fa714..dac6f6c 100644 (file)
@@ -35,8 +35,8 @@ global:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/sdc-backend-all-plugins:1.10.1
-backendInitImage: onap/sdc-backend-init:1.10.1
+image: onap/sdc-backend-all-plugins:1.10.4
+backendInitImage: onap/sdc-backend-init:1.10.4
 
 pullPolicy: Always
 
index 3391af7..2b6817b 100644 (file)
@@ -51,8 +51,8 @@ cassandra:
 
 # application image
 repository: nexus3.onap.org:10001
-image: onap/sdc-cassandra:1.10.1
-cassandraInitImage: onap/sdc-cassandra-init:1.10.1
+image: onap/sdc-cassandra:1.10.4
+cassandraInitImage: onap/sdc-cassandra-init:1.10.4
 pullPolicy: Always
 
 config:
index 1dbf9eb..a2502a9 100644 (file)
@@ -47,7 +47,7 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/sdc-frontend:1.10.1
+image: onap/sdc-frontend:1.10.4
 pullPolicy: Always
 
 config:
index ff5d031..30a5f03 100644 (file)
@@ -59,8 +59,8 @@ certInitializer:
 # Application configuration defaults.
 #################################################################
 # application image
-image: onap/sdc-onboard-backend:1.10.1
-onboardingInitImage: onap/sdc-onboard-cassandra-init:1.10.1
+image: onap/sdc-onboard-backend:1.10.4
+onboardingInitImage: onap/sdc-onboard-cassandra-init:1.10.4
 pullPolicy: Always
 
 # flag to enable debugging - application support required